Bug 1142714 - pari-gp not compiled for multithreading
pari-gp not compiled for multithreading
Status: RESOLVED FIXED
Classification: openSUSE
Product: openSUSE Tumbleweed
Classification: openSUSE
Component: Other
Current
x86-64 Other
: P5 - None : Normal (vote)
: ---
Assigned To: Jan Engelhardt
E-mail List
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2019-07-25 02:15 UTC by Hans Loeblich
Modified: 2019-08-23 14:30 UTC (History)
1 user (show)

See Also:
Found By: ---
Services Priority:
Business Priority:
Blocker: ---
Marketing QA Status: ---
IT Deployment: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Hans Loeblich 2019-07-25 02:15:58 UTC
I have some PARI scripts which make use of parallel computation, but the repo package is not built to support threads.  

Steps to reproduce:
1) run "gp --version"

Actual results:
GP/PARI CALCULATOR Version 2.11.1 (released)
                                                                           amd64 running linux (x86-64/GMP-6.1.2 kernel) 64-bit version
                                                            compiled: openSUSE, gcc version 9.1.1 20190611 [gcc-9-branch revision 272147] (SUSE Linux)
                                                                                             threading engine: single
                                                                                 (readline v8.0 disabled, extended help enabled)

Expected Results:
...
threading engine: pthread
...
Comment 1 Hans Loeblich 2019-07-26 18:42:36 UTC
By the way, the fix for this should be just adding "--mt=pthread" option when calling the configure script for pari.  

I don't know anything about SUSE builds/packaging to attempt o submit a patch though.
Comment 2 Jan Engelhardt 2019-08-23 13:49:46 UTC
Added --mt=pthread.
Comment 3 Swamp Workflow Management 2019-08-23 14:30:06 UTC
This is an autogenerated message for OBS integration:
This bug (1142714) was mentioned in
https://build.opensuse.org/request/show/725590 Factory / pari